summaryrefslogtreecommitdiff
path: root/community/gimp-plugin-wavelet-denoise
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2012-02-19 23:15:25 +0000
committerroot <root@rshg054.dnsready.net>2012-02-19 23:15:25 +0000
commit81ee1980feda43043eaebae2c596ae116a21f6e5 (patch)
tree5a48e15abb2f2d299a6c08bf44e1b136ae6a7fb8 /community/gimp-plugin-wavelet-denoise
parent1098e9db0acc5bb5c45af5778492faf3b4c99dd6 (diff)
Sun Feb 19 23:15:25 UTC 2012
Diffstat (limited to 'community/gimp-plugin-wavelet-denoise')
-rw-r--r--community/gimp-plugin-wavelet-denoise/PKGBUILD13
-rw-r--r--community/gimp-plugin-wavelet-denoise/libm_buildfix.diff10
2 files changed, 18 insertions, 5 deletions
diff --git a/community/gimp-plugin-wavelet-denoise/PKGBUILD b/community/gimp-plugin-wavelet-denoise/PKGBUILD
index 965c516d1..9e17c8bfe 100644
--- a/community/gimp-plugin-wavelet-denoise/PKGBUILD
+++ b/community/gimp-plugin-wavelet-denoise/PKGBUILD
@@ -1,27 +1,30 @@
-# $Id: PKGBUILD 25244 2010-09-02 17:48:35Z stativ $
+# $Id: PKGBUILD 64853 2012-02-18 18:05:29Z stativ $
# Maintainer: Lukas Jirkovsky <l.jirkovsky@gmail.com>
pkgname=gimp-plugin-wavelet-denoise
pkgver=0.3.1
-pkgrel=1
+pkgrel=2
pkgdesc="Tool to reduce noise in each channel of an image separately"
arch=('i686' 'x86_64')
url="http://registry.gimp.org/node/4235"
license=('GPL')
depends=('gimp')
source=(http://registry.gimp.org/files/wavelet-denoise-$pkgver.tar.gz \
- po_install.diff)
+ po_install.diff libm_buildfix.diff)
md5sums=('a02862026857575cdf81b24477e42f4b'
- '4de9e41a535f200c2502f0dd8458c43e')
+ '4de9e41a535f200c2502f0dd8458c43e'
+ '46940ecd5970bc4b0d4b38de89f8efbf')
build() {
cd "$srcdir/wavelet-denoise-$pkgver"
- patch -Np1 < ../po_install.diff
+ patch -Np1 < ../po_install.diff || true
+ patch -Np1 < ../libm_buildfix.diff || true
make
}
package() {
cd "$srcdir/wavelet-denoise-$pkgver"
+
install -Dvm755 src/wavelet-denoise \
"$pkgdir"/usr/lib/gimp/2.0/plug-ins/wavelet-denoise
cd po
diff --git a/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff b/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff
new file mode 100644
index 000000000..4a832a69b
--- /dev/null
+++ b/community/gimp-plugin-wavelet-denoise/libm_buildfix.diff
@@ -0,0 +1,10 @@
+diff -rup wavelet-denoise-0.3.1/src/Makefile wavelet-denoise-0.3.1.new/src/Makefile
+--- wavelet-denoise-0.3.1/src/Makefile 2008-12-14 12:19:28.000000000 +0100
++++ wavelet-denoise-0.3.1.new/src/Makefile 2012-02-18 19:01:22.264677086 +0100
+@@ -1,5 +1,5 @@
+ CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
+-LIBS = $(shell gimptool-2.0 --libs)
++LIBS = -lm $(shell gimptool-2.0 --libs)
+ PLUGIN = wavelet-denoise
+ SOURCES = plugin.c colorspace.c denoise.c wavelet.c events.c interface.c
+ HEADERS = plugin.h interface.h messages.h